      $SET p(cobsql) COBSQLTYPE=SYBASE END-C ENDP
       IDENTIFICATION DIVISION.
       PROGRAM-ID. UPP.
       ENVIRONMENT DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
           EXEC SQL BEGIN DECLARE SECTION END-EXEC.
       01 STAFF-ID PIC S9(9) COMP-5.
       01 STAFF-NAME PIC X(10).
           EXEC SQL END DECLARE SECTION END-EXEC.
           EXEC SQL INCLUDE SQLCA END-EXEC.
       01 TABLE-ITEM PIC X OCCURS 10 TIMES INDEXED BY IDX.
       LINKAGE SECTION.
        01 LK-STAFF-ID PIC S9(9) COMP-5.
        01 LK-STAFF-NAME PIC X(10).
        01 LK-Commit-Or-Rolback  PIC X.
       PROCEDURE DIVISION USING LK-STAFF-ID LK-STAFF-NAME
               LK-Commit-Or-Rolback.
       1.
           DISPLAY "Update TEST"  UPON CONSOLE.
           EXEC SQL SET CONNECTION "connection32" END-EXEC.
           DISPLAY "CONNECT SQLCODE:" SQLCODE  UPON CONSOLE.
           IF SQLCODE NOT = 0
              DISPLAY "MSG:" SQLERRMC UPON CONSOLE
              EXIT PROGRAM
           END-IF
           EXEC SQL USE pubs2 END-EXEC.
           DISPLAY "USE SQLCODE:" SQLCODE  UPON CONSOLE.
           IF SQLCODE NOT = 0
              DISPLAY "MSG:" SQLERRMC UPON CONSOLE
              EXIT PROGRAM
           END-IF
           MOVE LK-STAFF-ID TO STAFF-ID.
           MOVE LK-STAFF-NAME TO STAFF-NAME.
           EXEC SQL UPDATE STAFF SET NAME=:STAFF-NAME
                    WHERE ID=:STAFF-ID
           END-EXEC.
            DISPLAY "UPDATE = " SQLCODE UPON CONSOLE.
           IF SQLCODE NOT = 0
              DISPLAY "MSG:" SQLERRMC UPON CONSOLE
              EXIT PROGRAM
           END-IF

           IF LK-Commit-Or-Rolback = 'R'
             SET IDX TO 11
             MOVE SPACE TO TABLE-ITEM(IDX)
           END-IF.

           EXIT PROGRAM.
