       *>
       *> Micro Focus Server Express XA switch module for Sybase.
       *>
       *> (C) Copyright 2005-2014 Micro Focus (IP) Limited
       *> All Rights Reserved.
       *>

       IDENTIFICATION DIVISION.
       PROGRAM-ID. ESSYBASEXA.
       ENVIRONMENT DIVISION.

       DATA DIVISION.
       WORKING-STORAGE SECTION.
       01 wk-test          pic x(01).

       01 SybasePtr        USAGE PROCEDURE-POINTER.
       01 SybaseXaPtr      USAGE PROCEDURE-POINTER.
       01 SybaseXaPtr-pointer USAGE POINTER
                           REDEFINES SybaseXaPtr.
       01 MFocusCasPtr  USAGE PROCEDURE-POINTER.
       LINKAGE SECTION.
       01  XA-SWITCH     PIC X(128).

       PROCEDURE DIVISION.

          INITIALIZE wk-test.
          *> Load Enterprise Server module
          SET MFocusCasPtr TO ENTRY "casaxlib.so"

          *> Attempt to load a pointer to the Sybase XA switch structure
          SET SybaseXaPtr TO ENTRY "sybase_TXS_xa_switch".
          SET ADDRESS OF XA-SWITCH TO SybaseXaPtr-pointer.

          GOBACK RETURNING SybaseXaPtr.
